# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.sites
Class SitesLink.Rel

    java.lang.Object
      com.google.gdata.data.sites.SitesLink.Rel

Enclosing class:
  SitesLink

    public static final class SitesLink.Rel

extends java.lang.Object

Link relation type.

Field Summary
`static java.lang.String` `ATTACHMENTS` Attachments sites link.
`static java.lang.String` `CURRENT` Current sites link.
`static java.lang.String` `PARENT` Parent sites link.
`static java.lang.String` `REPLIES` Replies sites link.
`static java.lang.String` `REVISION` Revision sites link.
`static java.lang.String` `SOURCE` Source sites link.
`static java.lang.String` `TEMPLATE` Template sites link.
`static java.lang.String` `WEBADDRESSMAPPING` WebAddressMapping sites link.

Constructor Summary
`SitesLink.Rel()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTACHMENTS

    public static final java.lang.String ATTACHMENTS

  Attachments sites link.

  See Also:
    Constant Field Values

### CURRENT

    public static final java.lang.String CURRENT

  Current sites link.

  See Also:
    Constant Field Values

### PARENT

    public static final java.lang.String PARENT

  Parent sites link.

  See Also:
    Constant Field Values

### REPLIES

    public static final java.lang.String REPLIES

  Replies sites link.

  See Also:
    Constant Field Values

### REVISION

    public static final java.lang.String REVISION

  Revision sites link.

  See Also:
    Constant Field Values

### SOURCE

    public static final java.lang.String SOURCE

  Source sites link.

  See Also:
    Constant Field Values

### TEMPLATE

    public static final java.lang.String TEMPLATE

  Template sites link.

  See Also:
    Constant Field Values

### WEBADDRESSMAPPING

    public static final java.lang.String WEBADDRESSMAPPING

  WebAddressMapping sites link.

  See Also:
    Constant Field Values

Constructor Detail

### SitesLink.Rel

    public SitesLink.Rel()